%h1= t '.listing_kine'

= simple_form_for @search do |f|
  = f.input :approval_number_eq, :required => false
  = f.input :ear_tag_contains, :required => false
  = f.input :birthday_gte, :as => :date, :required => false, :use_era_name => true, :start_year => Date.today.year - 10, :include_blank => true
  = f.input :birthday_lte, :as => :date, :required => false, :use_era_name => true, :start_year => Date.today.year - 10, :include_blank => true
  = f.submit :search

%table
  %tr
    %th= sort_link @search, :approval_number
    %th= sort_link @search, :ear_tag
    %th= sort_link @search, :stall_seq
    %th= sort_link @search, :birthday
    %th= t ".next"
    %th
    %th
    %th
    %th
    %th

  - @kine.each do |cow|
    %tr
      %td= cow.approval_number
      %td= cow.ear_tag
      %td= cow.stall.name
      %td= cow.birthday
      %td= cow.estruses.last.next unless cow.estruses.empty?
      %td= link_to t('.show'), cow
      %td= link_to t('.edit'), edit_cow_path(cow)
      %td= link_to t('.destroy'), cow, :confirm => 'Are you sure?', :method => :delete
      %td= link_to t('.estruses'), cow_estruses_path(cow)
      %td= link_to t('.seminations'), cow_seminations_path(cow)

%br
= paginate @kine

= link_to t('.new_cow'), new_cow_path
